//----------------------------------------------------------------------------
//  Project BUTTON
//  http://space.tin.it/computer/giparrel
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BUTTON Application
//  FILE:         buttonm1.cpp
//  AUTHOR:       Jo Parrello.
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TBUTTONMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include "buttonap.h"
#include "buttonm1.h"


//
// Build a response table for all messages/commands handled by the application.
//
DEFINE_RESPONSE_TABLE1(TBUTTONMDIChild, TMDIChild)
//{{TBUTTONMDIChildRSP_TBL_BEGIN}}
  EV_WM_MENUSELECT,
//{{TBUTTONMDIChildRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TBUTTONMDIChild Implementation}}


//--------------------------------------------------------
// TBUTTONMDIChild
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TBUTTONMDIChild::TBUTTONMDIChild(TMDIClient& parent, const char far* title, TWindow* clientWnd, bool shrinkToClient, TModule* module)
:
  TMDIChild(parent, title, clientWnd, shrinkToClient, module)
{
  // INSERT>> Your constructor code here.

}


TBUTTONMDIChild::~TBUTTONMDIChild()
{
  Destroy();

  // INSERT>> Your destructor code here.

}

void TBUTTONMDIChild::EvMenuSelect(uint menuItemId, uint flags, HMENU hMenu)
{
    TMDIChild::EvMenuSelect(menuItemId, flags, hMenu);

  // INSERT>> Your code here.
if ((flags & MF_SYSMENU)>0)
   {
   TMessageBar* messageBar = TYPESAFE_DOWNCAST(GetApplication()->GetMainWindow()->ChildWithId(IDW_STATUSBAR), TMessageBar);
   if (messageBar)
   	{
      switch (menuItemId)
      	{
         case SC_RESTORE 	: messageBar->SetHintText("Restore the active document to its previous size"); break;
         case SC_MOVE	 	: messageBar->SetHintText("Moves the active document to another position"); break;
         case SC_SIZE	 	: messageBar->SetHintText("Changes the size of the active document"); break;
         case SC_MINIMIZE 	: messageBar->SetHintText("Reduces the active document to an icon"); break;
         case SC_MAXIMIZE	: messageBar->SetHintText("Enlarges the active document to it maximum size"); break;
         case SC_CLOSE		: messageBar->SetHintText("Closes the active document"); break;
         case SC_NEXTWINDOW: messageBar->SetHintText("Switches to next document"); break;
         case SC_PREVWINDOW: messageBar->SetHintText("Switches to previous document"); break;
         default :
            {
            if ((flags == 0xFFFF) && (hMenu == 0))
            	messageBar->SetHintText(NULL);
            else
                messageBar->SetHintText("Active document operations");
            }
         }
      }
   }
}

