//----------------------------------------------------------------------------
//  Project BUTTON
//  http://space.tin.it/computer/giparrel
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BUTTON Application
//  FILE:         buttonmd.h
//  AUTHOR:       Jo Parrello.
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBUTTONMDIClient (TMDIClient).
//
//----------------------------------------------------------------------------
#if !defined(buttonmd_h)              // Sentry, use file only if it's not already included.
#define buttonmd_h

#include "buttonap.rh"            // Definition of all resources.


//{{TMDIClient = TBUTTONMDIClient}}
class TBUTTONMDIClient : public TMDIClient {
  public:
    int      ChildCount;                 // Number of child window created.

    TBUTTONMDIClient(TModule* module = 0);
    virtual ~TBUTTONMDIClient();

    void OpenFile(const char* fileName = 0);

//{{TBUTTONMDIClientVIRTUAL_BEGIN}}
  protected:
    virtual void SetupWindow();
//{{TBUTTONMDIClientVIRTUAL_END}}

//{{TBUTTONMDIClientRSP_TBL_BEGIN}}
  protected:
    void CmFilePrint();
    void CmFilePrintSetup();
    void CmFilePrintPreview();
    void CmPrintEnable(TCommandEnabler& tce);
    void EvDropFiles(TDropInfo);
//{{TBUTTONMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TBUTTONMDIClient);
};    //{{TBUTTONMDIClient}}


#endif  // buttonmd_h sentry.
