/*******************************************************************************
*   Project BUTTON                                                             *
*   http://space.tin.it/computer/giparrel, joparrel@tin.it                     *
*   Copyright  1998. All Rights Reserved.                                     *
*                                                                              *
*   SUBSYSTEM:    button.apx Application                                       *
*   FILE:         jpbtnlst.h                                                   *
*   AUTHOR:       Jo Parrello.                                                 *
*                                                                              *
*   OVERVIEW                                                                   *
*   ~~~~~~~~----                                                               *
*   Class definition for JPButtonList (TListBox).                              *
*                                                                              *
*   Revision:   1.0  (May 15, 1998).                                           *
*                                                                              *
*   THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF          *
*   ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO        *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A             *
*   PARTICULAR PURPOSE.                                                        *
*******************************************************************************/
#if !defined(jpbtnlst_h)              // Sentry, use file only if it's not already included.
#define jpbtnlst_h

#include <owl/listbox.h>

#include "buttonap.rh"            // Definition of all resources.


//{{TListBox = JPButtonList}}
class JPButtonList : public TListBox {
  public:
    JPButtonList(TWindow* parent, int resourceId, TGadgetWindow* gadgWin = NULL, TModule* module = 0);
    virtual ~JPButtonList();

  protected:
  void           StoreDataInListBox();
  TGadgetWindow* gadgetWindow;
  int            sizex, sizey;

//{{JPButtonListVIRTUAL_BEGIN}}
  public:
    virtual void MeasureItem (MEASUREITEMSTRUCT far& measureInfo);
    virtual void SetupWindow();
    virtual void DrawItem(DRAWITEMSTRUCT far& drawInfo);
    virtual void GetDesiredSize(TSize& size);
    virtual void SetDesiredSize(TSize size);
    virtual void ChangeGadgetWindow(TGadgetWindow* newgadgwin);
    virtual void RebuildList();
//{{JPButtonListVIRTUAL_END}}

//{{JPButtonListRSP_TBL_BEGIN}}
  protected:
    string LoadInternalString(uint Id);
//{{JPButtonListRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(JPButtonList);
};    //{{JPButtonList}}


#endif  // jpbtnlst_h sentry.

