/*******************************************************************************
*   Project BUTTON                                                             *
*   http://space.tin.it/computer/giparrel, joparrel@tin.it                     *
*   Copyright  1998. All Rights Reserved.                                     *
*                                                                              *
*   SUBSYSTEM:    button.apx Application                                       *
*   FILE:         jpcstbar.h                                                   *
*   AUTHOR:       Jo Parrello.                                                 *
*                                                                              *
*   OVERVIEW                                                                   *
*   ~~~~~~~~----                                                               *
*   Class definition for JPCustomizeToolbar (TDialog).                         *
*                                                                              *
*   Revision:   1.0  (May 15, 1998).                                           *
*                                                                              *
*   THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF          *
*   ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO        *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A             *
*   PARTICULAR PURPOSE.                                                        *
*******************************************************************************/
#if !defined(jpcstbar_h)              // Sentry, use file only if it's not already included.
#define jpcstbar_h

#include <owl/dialog.h>
#include <owl/docking.h>
#include <owl/controlg.h>

#include <owl/commctrl.h>

#include "jpbtnlst.h"
#include "buttonap.h"

#include "buttonap.rh"            // Definition of all resources.


//{{TDialog = JPCustomizeToolbar}}
struct JPCustomizeToolbarXfer {
//{{JPCustomizeToolbarXFER_DATA}}
    TListBoxData  AvailList;
    TListBoxData  ActiveList;
//{{JPCustomizeToolbarXFER_DATA_END}}
};

class JPCustomizeToolbar : public TDialog {
  public:
    JPCustomizeToolbar(TWindow* parent, TResId resId = IDD_TOOLBARCUST, TModule* module = 0);
    virtual ~JPCustomizeToolbar();

//{{JPCustomizeToolbarVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
//{{JPCustomizeToolbarVIRTUAL_END}}

//{{JPCustomizeToolbarXFER_DEF}}
  protected:
    TGadgetWindow*  gadgWin;
    JPButtonList* AvailList;
    JPButtonList* ActiveList;
    TComboBox*    ToolbarBox;
    TGadget*      FindGadgetId(TGadgetWindow* gwin, int id, JPButtonList* list, int position);
//{{JPCustomizeToolbarXFER_DEF_END}}

//{{JPCustomizeToolbarRSP_TBL_BEGIN}}
  protected:
    void BNClicked();
    void BNClicked2();
    void BNMouseDnClicked();
    void BNMouseUpClicked();
    void CBNSelchange();
    void BNClickedRestore();
//{{JPCustomizeToolbarRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(JPCustomizeToolbar);
};    //{{JPCustomizeToolbar}}


#endif  // jpcstbar_h sentry.

