/*************************************************************************************
*  Copyright (c) 1997-1998 by Joseph Parrello. All Rights Reserved.                  *
*  Site   : http://space.tin.it/computer/giparrel                                    *
*  E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it                         *
*                                                                                    *
*  Revision:   1.0  (May 15, 1998).                                                  *
*                                                                                    *
*  Definition of JPFlatMenuButtonTextGadget class.                                   *
*                                                                                    *
*  Read JPFLMENU.TXT for use and license.                                            *
*                                                                                    *
*  Only for OWL 5.02 and 5.01 users.                                                 *
*  OWL and ObjectWindows are trademarks of Borland International.                    *
*                                                                                    *
*  THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF                *
*  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO               *
*  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A                    *
*  PARTICULAR PURPOSE.                                                               *
*************************************************************************************/

#if !defined(jpflmenu_h)
#define jpflmenu_h

#if !defined(OWL_MENU_H)
# include <owl/menu.h>
#endif
#if !defined(OWL_GADGETWI_H)
#include <owl/gadgetwi.h>
#endif
#include "jpflbute.h"

class JPFlatMenuButtonTextGadget : public JPFlatButtonTextGadget {
  public:
    JPFlatMenuButtonTextGadget(TMenu& menu, const char far* text, JPDisplayType disptype, JPTextPos pos, uint maxChars, uint numrows, TResId glyphResIdOrIndex, int id, TType type = Command, bool enabled = true, TState state = Up, bool sharedGlyph = false);
    virtual ~JPFlatMenuButtonTextGadget();

  private:
    TPopupMenu*         GadgetPopupMenu;
    bool                TrackPopupMenuEx(uint flags, const TPoint& point, HWND wnd, const TRect* rect);

  public:
    virtual void BeginPressed(TPoint& p);
};

#endif

