/*************************************************************************************
*  Copyright (c) 1997-1998 by Joseph Parrello. All Rights Reserved.                  *
*  Site   : http://space.tin.it/computer/giparrel                                    *
*  E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it                         *
*                                                                                    *
*  Revision:   1.0  (May 15, 1998).                                                  *
*                                                                                    *
*  Definition of JPFlatComboBox class.                                               *
*                                                                                    *
*  Read JPFLTBOX.TXT for use and license.                                            *
*                                                                                    *
*  Only for OWL 5.02 and 5.01 users.                                                 *
*  OWL and ObjectWindows are trademarks of Borland International.                    *
*                                                                                    *
*  THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF                *
*  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO               *
*  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A                    *
*  PARTICULAR PURPOSE.                                                               *
*************************************************************************************/
#if !defined(jpfltbox_h)
#define jpfltbox_h

#include <owl/combobox.h>
#include <owl/uihelper.h>
#include <owl/dc.h>

//static TResult CALLBACK SubClassProc(HWND hwnd, UINT msg, TParam1 wParam, TParam2 lParam);
//static WNDPROC lpfnOldWndProc;
//static HWND appHwnd;

//{{TComboBox = JPFlatComboBox}}
class JPFlatComboBox : public TComboBox {
  public:
    JPFlatComboBox(TWindow* parent, int id, int x, int y, int w, int h, uint32 style, uint textLimit, TModule* module = 0);
    virtual ~JPFlatComboBox();

//{{JPFlatComboBoxVIRTUAL_BEGIN}}
  public:
    int SetListBoxWidth(uint newwidth);
    uint GetListBoxWidth() const;
    virtual void SetupWindow();
    virtual bool IdleAction(long idleCount);
    virtual TResult  ReceiveMessage(uint msg, TParam1 param1, TParam2 param2);
//{{JPFlatComboBoxVIRTUAL_END}}

//{{JPFlatComboBoxRSP_TBL_BEGIN}}
  protected:
    HWND hwndEdit;
    bool MouseInControl;
    uint Height;
    int  MaxListWidth;
    bool IsInWin31;
    void RedrawBorder(void);
    void EvKillFocus(THandle hWndGetFocus );
    void EvSetFocus(THandle hWndLostFocus );
    void InsertEditTooltip(HWND hwndEdit);
    HBRUSH EvCtlColor(HDC hDC, THandle hWndChild, uint ctlType);
    void EvPaint();
    void EvLButtonDown(uint modKeys, TPoint& point);
    void EvLButtonUp(uint modKeys, TPoint& point);
    bool EvEraseBkgnd(HDC dc);
    uint EvNCHitTest(TPoint& point);
    void EvMouseMove(uint modKeys, TPoint& point);
    //{{JPFlatComboBoxRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(JPFlatComboBox);
};    //{{JPFlatComboBox}}

#endif  // jpfltbox_h sentry.

