/*************************************************************************************
*  Copyright (c) 1997-1998 by Joseph Parrello. All Rights Reserved.                  *
*  Site   : http://space.tin.it/computer/giparrel                                    *
*  E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it                         *
*                                                                                    *
*  Revision:   1.0  (May 15, 1998).                                                  *
*                                                                                    *
*  Definition of JPFlatDivGadget class.                                              *
*                                                                                    *
*  Read JPFLTDIV.TXT for use and license.                                            *
*                                                                                    *
*  Only for OWL 5.02 and 5.01 users.                                                 *
*  OWL and ObjectWindows are trademarks of Borland International.                    *
*                                                                                    *
*  THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF                *
*  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO               *
*  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A                    *
*  PARTICULAR PURPOSE.                                                               *
*************************************************************************************/
#if !defined(jpfltdiv)              // Sentry, use file only if it's not already included.
#define jpfltdiv_h

#if !defined(OWL_GADGET_H)
#include <owl/gadget.h>
#endif


//{{TGadget = JPFlatDivGadget}}
class JPFlatDivGadget : public TGadget {
  public:
    JPFlatDivGadget(int size = 0, TGadget* ref = NULL, bool EndOfLine = false, bool NoVertBar = false);
    virtual ~JPFlatDivGadget();

  protected:
    int        DefaultSize;
    int        divSize;
    TGadget*   gadgRef;
    bool       DrawAtEndOfLine;
    bool       NoDrawOnVertBar;
    void       DrawDividerLine(TDC& dc, int x1, int y1, int x2, int y2, bool isFirst);

//{{JPFlatDivGadgetVIRTUAL_BEGIN}}
  public:
    virtual void GetDesiredSize(TSize& size);
    virtual void Paint(TDC& dc);
    virtual bool GetEndOfLineStatus() const;
    virtual void SetEndOfLineStatus(bool EndOfLine);
    virtual bool GetNoVertBarStatus() const;
    virtual void SetNoVertBarStatus(bool NoVertBar);
    virtual void SetReferenceGadget(TGadget* ref);
    virtual TGadget*  GetReferenceGadget(void);
    virtual int  GetDividerSize() const;
    virtual int  GetDivDefaultSize() const;
    virtual bool IsDefaultSize() const;
//{{JPFlatDivGadgetVIRTUAL_END}}
};    //{{JPFlatDivGadget}}

#endif  // jpfltdiv_h sentry.

